#ifndef VECTOR_H
#define VECTOR_H

typedef struct 
{
   float x,y,z;
} XYZ;

//   Rotate a point p by angle theta around an arbitrary axis r
//   Return the rotated point.
XYZ ArbitraryRotate(XYZ p, float theta, XYZ r );

//   Rotate a point p by angle theta around an arbitrary line segment p1-p2
//Return the rotated point.
XYZ ArbitraryRotate2(XYZ p, float theta, XYZ p1, XYZ p2 );

#define DEG_TO_RAD 0.01745329252F
#define RAD_TO_DEG 57.295779513F
#define RadToDeg(r) (r * RAD_TO_DEG)
#define DegToRad(d) (d * DEG_TO_RAD)

#endif /* VECTOR_H */
